%global pypi_name oslo.utils
%global srcname oslo-utils
%bcond_with doc

Summary:        OpenStack Oslo Utility library
Name:           python-oslo-utils
Version:        6.0.1
Release:        6%{?dist}
License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  git-core

BuildArch:      noarch

%description
The OpenStack Oslo Utility library. 
* Documentation: http://docs.openstack.org/developer/oslo.utils 
* Source0: http://git.openstack.org/cgit/openstack/oslo.utils 
* Bugs: http://bugs.launchpad.net/oslo

%package -n python3-%{srcname}
Summary:    OpenStack Oslo Utility library
BuildRequires:  python3-devel python3-pbr python3-iso8601 python3-debtcollector python3-eventlet
BuildRequires:  python3-hacking python3-fixtures python3-oslotest python3-testtools python3-ddt
BuildRequires:  python3-oslo-i18n python3-pyparsing python3-testscenarios python3-testrepository
BuildRequires:  python3-netaddr python3-packaging python3-yaml python3-babel python3-netifaces
BuildRequires:  python3-pytz
Requires:       python3-oslo-i18n >= 3.15.3 python3-iso8601 python3-debtcollector >= 1.2.0
Requires:       python3-pyparsing python3-netaddr >= 0.7.18 python3-pytz
Requires:       python3-netifaces >= 0.10.4 python3-packaging >= 20.4
Requires:       python-%{srcname}-lang = %{version}-%{release}

%description -n python3-%{srcname}
Python bindings for %{name}.

%if %{with doc}
%package -n python-%{srcname}-doc
Summary:    Documentation for the Oslo Utility library
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{srcname}-doc
Documentation for the Oslo Utility library.
%endif

%package -n python3-%{srcname}-tests
Summary:    Tests for the Oslo Utility library
Requires: python3-%{srcname} = %{version}-%{release}
Requires: python3-eventlet python3-hacking python3-fixtures python3-oslotest
Requires: python3-testtools python3-ddt python3-testscenarios python3-testrepository

%description -n python3-%{srcname}-tests
Tests for the Oslo Utility library.

%package  -n python-%{srcname}-lang
Summary:   Translation files for Oslo utils library

%description -n python-%{srcname}-lang
Translation files for Oslo utils library

%prep
%autosetup -n %{pypi_name}-%{version} -S git

rm -rf *requirements.txt

%build
%{py3_build}

%if %{with doc}
sphinx-build-3 -W -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

python3 setup.py compile_catalog -d build/lib/oslo_utils/locale --domain oslo_utils

%install
%{py3_install}

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_utils/locale/*/LC_*/oslo_utils*po
rm -f %{buildroot}%{python3_sitelib}/oslo_utils/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_utils/locale %{buildroot}%{_datadir}/locale

%find_lang oslo_utils --all-name

%check
python3 setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_utils
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_utils/tests

%if %{with doc}
%files -n python-%{srcname}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python3-%{srcname}-tests
%{python3_sitelib}/oslo_utils/tests

%files -n python-%{srcname}-lang -f oslo_utils.lang
%license LICENSE

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 6.0.1-1
- initial build
